package com.xtd.project.hkmanager.service.impl;

import com.xtd.common.utils.IdUtils;
import com.xtd.project.hkmanager.entity.DevicePhoto;
import com.xtd.project.hkmanager.entity.DevicePhotoForm;
import com.xtd.project.hkmanager.mapper.DevicePhotoMapper;
import com.xtd.project.hkmanager.service.DevicePhotoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author lym
 * @date 2020/4/22 16:33
 */
@Service
public class DevicePhotoServiceImpl implements DevicePhotoService {

    @Autowired
    private DevicePhotoMapper devicePhotoMapper;

    @Override
    public int delByPrimaryKey(String guid) {
        return 0;
    }

    @Override
    public int save(DevicePhoto record) {
        return 0;
    }

    @Override
    public int saveSelective(DevicePhoto record) {
        record.setGuid(IdUtils.simpleUUID());
        return devicePhotoMapper.insertSelective(record);
    }

    @Override
    public DevicePhoto queryByPrimaryKey(String guid) {
        return null;
    }

    @Override
    public int modifyByPrimaryKeySelective(DevicePhoto record) {
        return 0;
    }

    @Override
    public int modifyByPrimaryKeyWithBLOBs(DevicePhoto record) {
        return 0;
    }

    @Override
    public int modifyByPrimaryKey(DevicePhoto record) {
        return 0;
    }

    @Override
    public List<DevicePhoto> selectList(DevicePhotoForm form) {
        return devicePhotoMapper.selectList(form);
    }
}
